Aracılığıyla paylaş


Private Endpoint Connections - Get

Özel uç nokta bağlantı nesnesini alın.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AgFoodPlatform/farmBeats/{dataManagerForAgricultureResourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2023-06-01-preview

URI Parametreleri

Name İçinde Gerekli Tür Description
dataManagerForAgricultureResourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[A-Za-z0-9]+(-[A-Za-z0-9]+)*$

DataManagerForAgriculture kaynak adı.

privateEndpointConnectionName
path True

string

Özel uç nokta bağlantı adı.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Name Tür Description
200 OK

PrivateEndpointConnection

Başarı

404 Not Found

ErrorResponse

Bulunamadı

Other Status Codes

ErrorResponse

Hata

Güvenlik

azure_auth

Azure Active Directory OAuth2 Akışı.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Name Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

PrivateEndpointConnections_Get

Örnek isteği

GET https://management.azure.com/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName/privateEndpointConnections/privateEndpointConnectionName?api-version=2023-06-01-preview

Örnek yanıt

{
  "id": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/examples-rg/providers/Microsoft.AgFoodPlatform/farmBeats/examples-farmbeatsResourceName/privateEndpointConnections/privateEndpointConnectionName",
  "name": "privateEndpointConnectionName",
  "type": "Microsoft.AgFoodPlatform/farmBeats/privateEndpointConnections",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/rg1Network/providers/Microsoft.Network/privateEndpoints/privateEndpointName"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved",
      "description": "Approved by johndoe@contoso.com",
      "actionsRequired": "None"
    },
    "provisioningState": "Succeeded"
  }
}
{
  "error": {
    "code": "PrivateEndpointConnectionNotFound",
    "message": "Private endpoint connection resource 'privateEndpointConnectionName' for subscriptionId '11111111-2222-3333-4444-555555555555', resource group name 'examples-rg', resource type 'farmBeats' and resource name 'examples-farmbeatsResourceName' not found."
  }
}

Tanımlar

Name Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

PrivateEndpoint

Özel uç nokta kaynağı.

PrivateEndpointConnection

Özel uç nokta bağlantı kaynağı.

PrivateEndpointConnectionProvisioningState

Geçerli sağlama durumu.

PrivateEndpointServiceConnectionStatus

Özel uç nokta bağlantı durumu.

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Name Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Name Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi.

ErrorResponse

Hata yanıtı

Name Tür Description
error

ErrorDetail

Hata nesnesi.

PrivateEndpoint

Özel uç nokta kaynağı.

Name Tür Description
id

string

Özel uç noktanın ARM tanımlayıcısı.

PrivateEndpointConnection

Özel uç nokta bağlantı kaynağı.

Name Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin, "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Kaynağın adı

properties.groupIds

string[]

Özel uç nokta kaynağının grup kimlikleri.

properties.privateEndpoint

PrivateEndpoint

Özel uç nokta kaynağı.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

properties.provisioningState

PrivateEndpointConnectionProvisioningState

Özel uç nokta bağlantı kaynağının sağlama durumu.

systemData

systemData

createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.

type

string

Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

Geçerli sağlama durumu.

Değer Description
Succeeded
Creating
Deleting
Failed

PrivateEndpointServiceConnectionStatus

Özel uç nokta bağlantı durumu.

Değer Description
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

Hizmet tüketicisi ile sağlayıcı arasındaki bağlantının durumu hakkında bilgi koleksiyonu.

Name Tür Description
actionsRequired

string

Hizmet sağlayıcısındaki değişikliklerin tüketicide herhangi bir güncelleştirme gerektirip gerektirmediğini belirten bir ileti.

description

string

Bağlantının onaylanması/reddedilmesinin nedeni.

status

PrivateEndpointServiceConnectionStatus

Bağlantının hizmet sahibi tarafından Onaylanıp Reddedildiğini/Kaldırıldığını gösterir.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Name Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.